Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.info.spi
Interface PropertyInfo

All Superinterfaces:
  Cloneable, org.jboss.util.JBossInterface

All Known Implementing Classes:
  AbstractPropertyInfo

public interface PropertyInfo
extends org.jboss.util.JBossInterface

Description of a property.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Method Summary
`BeanInfo` | `getBeanInfo()` Get the BeanInfo
`org.jboss.reflect.spi.MethodInfo` | `getGetter()` Get the getter
`String` | `getName()` Get the property name
`org.jboss.reflect.spi.MethodInfo` | `getSetter()` Get the setter
`org.jboss.reflect.spi.TypeInfo` | `getType()` Get the type
`String` | `getUpperName()` Get the uppercase version of the property name
`void` | `setGetter(org.jboss.reflect.spi.MethodInfo getter)` Set the getter
`void` | `setSetter(org.jboss.reflect.spi.MethodInfo setter)` Set the setter

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Method Detail

### getBeanInfo

    public BeanInfo getBeanInfo()

  Get the BeanInfo

  Returns:
    the bean info

### getName

    public String getName()

  Get the property name

  Returns:
    the name

### getUpperName

    public String getUpperName()

  Get the uppercase version of the property name

  Returns:
    the name

### getType

    public org.jboss.reflect.spi.TypeInfo getType()

  Get the type

  Returns:
    the type

### getGetter

    public org.jboss.reflect.spi.MethodInfo getGetter()

  Get the getter

  Returns:
    the getter

### setGetter

    public void setGetter(org.jboss.reflect.spi.MethodInfo getter)

  Set the getter

  Parameters:
    `getter` - the getter

### getSetter

    public org.jboss.reflect.spi.MethodInfo getSetter()

  Get the setter

  Returns:
    the setter

### setSetter

    public void setSetter(org.jboss.reflect.spi.MethodInfo setter)

  Set the setter

  Parameters:
    `setter` - the setter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.